<div style="display:flex; align-items: center; flex-direction: column; margin-bottom: 30px;">
    <div class="headlines">Get Transcripts</div>
    <form [formGroup]="ccsForm" (ngSubmit)="getDrugInfo()">
        <div class="form-group">
            <div class="textarea-div">
                <div style="display:flex; align-items: center;">
                    <div style="font-weight: bold;">Enter Hugo Gene Names.</div>
                    <mat-icon matTooltip="Enter Hugo Gene Names, e.g. 'TP53' or click 'Load Example' to get a basic example. See also https://www.genenames.org/ for more information." 
                    matTooltipPosition="right" style="transform: scale(0.8);">help</mat-icon>
                </div>
                <textarea class="form-control" id="inputName" formControlName="inputName"
                    placeholder="Enter Hugo Gene Names, e.g. 'TP53' or click 'Load Example'"></textarea>
            </div>
            <div>
                <div>
                    <span>Reference Genome</span>
                    <div>
                        <div>
                            <input type="radio" id="hg19" name="referenceGenome" value="hg19"
                                formControlName="referenceGenome" />
                            <label for="hg19">HG19</label>
                        </div>
                        <div>
                            <input type="radio" id="hg38" name="referenceGenome" value="hg38"
                                formControlName="referenceGenome" />
                            <label for="hg38">HG38</label>
                        </div>
                    </div>
                </div>
                <div>
                    <button type="button" class="btn btn-secondary" matTooltip="Info about the action"
                        matTooltipPosition="right" (click)="getExampleData()">Load Example</button><br>
                    <button type="submit" class="btn btn-primary" [disabled]="!ccsForm.valid">Submit</button>
                </div>
            </div>
        </div>
    </form>
</div>

<div *ngIf="complete_request!=''">
    <app-terminal-view [terminal_string]="complete_request"></app-terminal-view>
</div>

<div class="card-grid" *ngIf="reqObj != null">
    <div class="card" *ngFor="let element of reqObj.data">
        <div class="card-header">
            <h2>{{element.name}}</h2>
        </div>
        <ul *ngIf="element['response']==200">
            <li style="list-style-type: none; font-weight: bold;">MANE Transcripts</li>
            <li *ngIf="element['ensembl']">Ensembl Transcript: {{element['ensembl']}}</li>
            <li *ngIf="element['ncbi']">NCBI Transcript: {{element['ncbi']}}</li>
            <li style="list-style-type: none; font-weight: bold; padding-top: 10px;">NCBI Transcripts</li>
            <li *ngFor="let el of element['ncbi_all']">{{el}}</li>
            <li style="list-style-type: none; font-weight: bold; padding-top: 10px;">Ensembl Transcripts</li>
            <li *ngFor="let el of element['ensembl_all']">{{el}}</li>
        </ul>
        <ul *ngIf="element['response']==400">
            <li style="color:red;">Error: {{element['error']}}</li>
        </ul>
    </div>
</div>
